Package org.jfree.layouting.layouter.style.resolver.computed.color

## Class OtherColorResolveHandler

- java.lang.Object
- - org.jfree.layouting.layouter.style.resolver.computed.color.ColorResolveHandler
  - - org.jfree.layouting.layouter.style.resolver.computed.color.OtherColorResolveHandler

- All Implemented Interfaces:
    `ResolveHandler`

      public class OtherColorResolveHandler
      extends ColorResolveHandler

  Creation-Date: 11.12.2005, 23:28:29
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OtherColorResolveHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CSSColorValue` | `getCurrentColor​(LayoutElement currentNode)` |
    `StyleKey[]` | `getRequiredStyles​()` | This indirectly defines the resolve order.

    - ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.color.ColorResolveHandler

      `resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherColorResolveHandler

          public OtherColorResolveHandler​()

  - ### Method Detail

    - #### getRequiredStyles

          public StyleKey[] getRequiredStyles​()

      This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
      Specified by:
        `getRequiredStyles` in interface `ResolveHandler`
      Overrides:
        `getRequiredStyles` in class `ColorResolveHandler`
      Returns:

    - #### getCurrentColor

          protected CSSColorValue getCurrentColor​(LayoutElement currentNode)

      Overrides:
        `getCurrentColor` in class `ColorResolveHandler`